Query Class

package | phpLDAPadmin
subpackage | Queries

### Methods

## __construct()

    __construct($server_id, $name, $filename, $type, $id)

Inherited

inherited_from | \xmlTemplate::__construct()

### Parameters

#### $server_id

#### $name

#### $filename

#### $type

#### $id

## Accept will run the query and store the results in results()

    accept()

## Add another attribute to this template

    addAttribute($name, $value, $source) : int

Inherited

inherited_from | \xmlTemplate::addAttribute()

### Parameters

#### $name

#### $value

#### $source

### Returns

`int`Attribute ID

## getAttrDisplayOrder()

    getAttrDisplayOrder()

## getAttrSortOrder()

    getAttrSortOrder()

## Get a specific Attribute

    getAttribute(string $name) : object

Inherited

inherited_from | \xmlTemplate::getAttribute()

### Parameters

#### $name

`string`

Name of attribute to retrieve

### Returns

`object`Attribute

## Get the attribute names

    getAttributeNames() : array

Inherited

inherited_from | \xmlTemplate::getAttributeNames()

### Returns

`array`Array of attributes Names

## This is temporary to get around objects that use a DN for rendering, for example jpegPhoto

    getDN()

## getDNEncode()

    getDNEncode($url)

### Parameters

#### $url

## getDescription()

    getDescription()

## Get the Template filename.

    getFileName()

Inherited

inherited_from | \xmlTemplate::getFileName()

## Return the template by ID

    getID()

Inherited

inherited_from | \xmlTemplate::getID()

## Return the template name

    getName(boolean $lower)

Inherited

inherited_from | \xmlTemplate::getName()

### Parameters

#### $lower

`boolean`

Force the name to be lowercase (default)

## Get the Template read time.

    getReadTime()

Inherited

inherited_from | \xmlTemplate::getReadTime()

## Get template title

    getTitle()

Inherited

inherited_from | \xmlTemplate::getTitle()

## Return the template type

    getType()

Inherited

inherited_from | \xmlTemplate::getType()

## May be overloaded in other classes

    isAdminDisabled()

Inherited

inherited_from | \xmlTemplate::isAdminDisabled()

## Test if a template is of a type

    isType($type) : boolean

Inherited

inherited_from | \xmlTemplate::isType()

### Parameters

#### $type

### Returns

`boolean`

## Test if the template is visible

    isVisible() : boolean

### Returns

`boolean`

## This is temporary to get around objects that use a DN for rendering, for example jpegPhoto

    setDN($dn)

### Parameters

#### $dn

## Get an attribute ID

    getAttrID(string $attr) : int

Inherited

inherited_from | \xmlTemplate::getAttrID()

### Parameters

#### $attr

`string`

The Attribute being searched.

### Returns

`int`Attribute ID in the array

## Return this LDAP Server object

    getServer() : object

Inherited

inherited_from | \xmlTemplate::getServer()

### Returns

`object`DataStore Server

## Return the LDAP server ID

    getServerID() : int

Inherited

inherited_from | \xmlTemplate::getServerID()

### Returns

`int`Server ID

## Main processing to store the template.

    storeTemplate(\xmldata $xmldata)

### Parameters

#### $xmldata

`\xmldata`

Parsed xmldata from xml2array object

### Properties

## $results

    $results

## $attributes

    $attributes

Inherited

inherited_from | \xmlTemplate::$$attributes

## $description

    $description

## $filename

    $filename

Inherited

inherited_from | \xmlTemplate::$$filename

## $id

    $id

Inherited

inherited_from | \xmlTemplate::$$id

## $name

    $name

Inherited

inherited_from | \xmlTemplate::$$name

## $readtime

    $readtime

Inherited

inherited_from | \xmlTemplate::$$readtime

## $server_id

    $server_id

Inherited

inherited_from | \xmlTemplate::$$server_id

## $type

    $type

Inherited

inherited_from | \xmlTemplate::$$type